@if (product$ | async; as product) {
  <p>
    Vous avez sélectionné:
    <strong>{{ product.title }}</strong>
  </p>
  <p>{{ product.price | currency: "EUR" }}</p>
  <div class="pill-group">
    <p class="pill">
      {{ product.category }}
    </p>
    <form (ngSubmit)="changePrice(product)">
      <input
        type="number"
        placeholder="Nouveau prix"
        name="price"
        #priceCtrl="ngModel"
        required min="1"
        [(ngModel)]="price"
        (ngModelChange)="price = $event"
      />
      @if (priceCtrl.dirty && (priceCtrl.invalid || priceCtrl.hasError('min'))) {
        <span class="help-text">Entrer un prix valide</span>
      }
      <button class="secondary" type="submit">Changer le prix</button>
      <button (click)="addToCart(product.id)">Ajouter au panier</button>
    </form>
  </div>
}
